.. _model_selection:

Model Selection
===============

.. automodule:: julearn.model_selection
   :no-members:
   :no-inherited-members:

Classes
-------

.. currentmodule:: julearn.model_selection

.. autosummary::
   :nosignatures:
   :toctree: generated/
   :template: class.rst

    ContinuousStratifiedKFold
    RepeatedContinuousStratifiedKFold
    ContinuousStratifiedGroupKFold
    RepeatedContinuousStratifiedGroupKFold
    StratifiedBootstrap

Functions
---------

.. currentmodule:: julearn.model_selection

.. autosummary::
   :toctree: generated/
   :template: function.rst

    get_searcher
    list_searchers
    register_searcher
    reset_searcher_register
